PerceptiLabs
Search…
Requirements
This topic describes the system requirements for the different versions of PerceptiLabs:

Free Version

Python

The free version of PerceptiLabs runs on your local machine and works with Python 3.6.x, 3.7x, or 3.8x. Note that PerceptiLabs will not work with versions older or newer than these versions.
We recommend that you set up a virtual Python environment as described in the Quickstart Guide.

Operating Systems

This version of PerceptiLabs has been tested on the following operating systems:
​
Windows
Linux
Mac OS
Tested On
Windows 10
Ubuntu 18.04
Mac 10.14+
Note: WSL users – see this FAQ for information about running PerceptiLabs with Windows Subsystem for Linux (WSL).
Note: Mac M1 is not natively supported at the moment.

Browsers

PerceptiLabs has been tested on the following browsers:
  • Firefox 79.0 (64-bit)
  • Chrome 84.0.4147.105 (64-bit)

Cloud Version

The Cloud version of PerceptiLabs is coming soon that will include both free and paid plans. Please contact us for more information or join our waitlist to receive further updates.

Enterprise Version

An Enterprise version of PerceptiLabs that runs on your own servers is available. Please contact us for more information.
Last modified 21d ago